Version:	4
Release:	14mdk
Summary:	Hardware profile switching tool for laptops
Name:		drakprofile
Copyright:	GPL
Packager:	RedHog <redhog@mandrakesoft.com>
Group:		System/Configuration/Networking
Source:		drakprofile-%{version}.tar.bz2
Vendor:		MandrakeSoft
BuildRoot:	/tmp/%{name}-%{version}-root
Prefix:		%{_prefix}
URL:		http://DrakProfile.mini.dhs.org/
Requires: linuxconf, pygtk, drakxtools, usermode

%description
 DrakProfile is a hardware profile switching tool for laptops. It can
be used e.g. to switch beteen the network configuration at home and at
your office.

%prep

%setup

%build
cd po ; make

%post
%{update_menus}

%postun
%{clean_menus}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/menu
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/mini
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/large

make prefix=$RPM_BUILD_ROOT/%{prefix} install

cp drakprofile-pam-auth $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/drakprofile
cp drakprofile-apps-auth $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/drakprofile
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/drakprofile
cp menu-entry $RPM_BUILD_ROOT/%{_libdir}/menu/drakprofile
cp menu-icon.32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/DrakProfile.xpm
cp menu-icon.48.xpm $RPM_BUILD_ROOT/%{_iconsdir}/large/DrakProfile.xpm
cp menu-icon.16.xpm $RPM_BUILD_ROOT/%{_iconsdir}/mini/DrakProfile.xpm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f %{name}.lang
%attr(-,root,root)              %{_sysconfdir}/pam.d/*
%attr(-,root,root)              %{_sysconfdir}/security/console.apps/*
%attr(-,root,root)              %{_bindir}/*
%attr(-,root,root)              %{prefix}/sbin/*
%attr(-,root,root)              %{_libdir}/drakprofile
%attr(-,root,root) %doc         %{_docdir}/drakprofile
%attr(-,root,root)              %{_libdir}/menu/*
%attr(-,root,root)              %{_iconsdir}/*.xpm
%attr(-,root,root)              %{_iconsdir}/large/*
%attr(-,root,root)              %{_iconsdir}/mini/*

%changelog
* Fri Oct 6 2000 Egil Mller <redhog@mandrakesoft.com> 4-14mdk
- Translatenabled soem messages I hade forgotten, cleaned up a bit and
  added a "Please wait while ... profile..."-message.

* Tue Oct 3 2000 Pablo Saratxaga <pavblo@mandrakesoft.com> 4-13mdk
- improved the spec file

* Tue Oct 3 2000 Egil Mller <redhog@mandrakesoft.com> 4-12mdk
- Changes dependencies

* Tue Oct 3 2000 Egil Mller <redhog@mandrakesoft.com> 4-11mdk
- Fix to use consolehelper instaed of kdesu (which sucks big times)

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 4-10mdk
- Fix to include gettext

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 4-9mdk
- Added a swedish translation, to see that everything works fine...
- Gettext internationalization support added. Urk.
- Fix for another Linuxconf-compatibility-related bug...
- Moved back to /usr/bin...

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 4-8mdk
- New icons. Wheee! And a fix for a quite serious bug concerning
  firts-time usage, introduced by Stupid Linuxconf...

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 4-7mdk
- Added an about-box, as requested...

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 4-6mdk
- Added code to make this work even if HELP_BROWSER is not set.

* Thu Sep 28 2000 Egil Mller <redhog@mandrakesoft.com> 4-5mdk
- Moved it to /usr/sbin and added a menu-entry.

* Wed Sep 27 2000 Egil Mller <redhog@mandrakesoft.com> 4-4mdk
- Corrected the dependencies

* Mon Sep 25 2000 Egil Mller <redhog@mandrakesoft.com> 4-3mdk
- Just made sure that nothing is atempted when no profile is
  selected.

* Mon Sep 11 2000 Egil Mller <redhog@mandrakesoft.com> 4-2mdk
- Addition of require for draknet

* Mon Sep 11 2000 Egil Mller <redhog@mandrakesoft.com> 4-1mdk
- GUI changes to make QA-team happy

* Wed Aug 30 2000 Egil Mller <redhog@mandrakesoft.com> 4-0mdk
- Name/version changes (renamed everything to DrakFoo and changes
  version-naming system to a traditional one)

* Wed Aug 24 2000 Egil Mller <redhog@mandrakesoft.com> redhog.3-0mdk
- Some more changes to the GUI to make some people of the QA-team
  happy. And, I became a bit happy too :)

* Wed Aug 23 2000 Egil Mller <redhog@mandrakesoft.com> redhog.2-0mdk
- Changes to the GUI to make some people of the QA-team happy :)

* Wed Aug 23 2000 Egil Mller <redhog@mandrakesoft.com> redhog.1-6mdk
- Just some smaller fixes

* Wed Aug 23 2000 Egil Mller <redhog@mandrakesoft.com> redhog.1-0mdk
- Initial RPMification
- Fixes to include the linuxconf-hard-coded profiles (Home and Office)
